extends Node2D


var monster_chain_highlight = Color(0.5, 0.5, 0.5, 1)
var monster_chain = []

func _ready():
	pass

func _unhandled_input(event):
	#print(event)
	if event is InputEventMouseButton:
		if not event.pressed: # When unpress the finger from the screen
			clear_chain()
	
	if event is InputEventMouseMotion:
		#print(event.relative, event.speed)
		pass


func select_monster(monster):
	if monster_chain.has(monster):
		return
	
	for imonster in get_children():
		imonster.is_last_selected = false
	
	if not monster_chain.empty():
		monster.last_connection = monster_chain.back()
	
	monster_chain.append(monster)
	monster.is_last_selected = true
	
	monster.get_node("Sprite").modulate = monster_chain_highlight


func clear_chain():
	print("CLEARING CHAIN")
	for imonster in get_children():
		imonster.selected = false
		imonster.is_last_selected = false
		imonster.last_connection = false
		imonster.get_node("Sprite").modulate = Color(1,1,1,1)
		
	monster_chain.clear()